package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_gas_channel_config
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsGasChannelConfig implements Serializable {
    private Long id;

    /**
     * 油站渠道
     */
    private Integer gasChannelType;

    /**
     * 交易状态  0：禁用  1：正常
     */
    private Boolean tradeStatus;

    /**
     * 展示状态  0：隐藏  1：展示
     */
    private Boolean showStatus;

    /**
     * 支付渠道类型
     */
    private Integer channelType;

    /**
     * 支付渠道商户号
     */
    private String channelMerNo;

    /**
     * 支付渠道商户秘钥
     */
    private String channelMerKey;

    /**
     * 是否分账 0：否  ：是
     */
    private Boolean ledgerAccountFlag;

    /**
     * 分账接收方数据
     */
    private String ledgerAccountData;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 状态 1：正常  2：停用
     */
    private Integer status;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getGasChannelType() {
        return gasChannelType;
    }

    public void setGasChannelType(Integer gasChannelType) {
        this.gasChannelType = gasChannelType;
    }

    public Boolean getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(Boolean tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    public Boolean getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Boolean showStatus) {
        this.showStatus = showStatus;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getChannelMerNo() {
        return channelMerNo;
    }

    public void setChannelMerNo(String channelMerNo) {
        this.channelMerNo = channelMerNo;
    }

    public String getChannelMerKey() {
        return channelMerKey;
    }

    public void setChannelMerKey(String channelMerKey) {
        this.channelMerKey = channelMerKey;
    }

    public Boolean getLedgerAccountFlag() {
        return ledgerAccountFlag;
    }

    public void setLedgerAccountFlag(Boolean ledgerAccountFlag) {
        this.ledgerAccountFlag = ledgerAccountFlag;
    }

    public String getLedgerAccountData() {
        return ledgerAccountData;
    }

    public void setLedgerAccountData(String ledgerAccountData) {
        this.ledgerAccountData = ledgerAccountData;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsGasChannelConfig other = (BsGasChannelConfig) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGasChannelType() == null ? other.getGasChannelType() == null : this.getGasChannelType().equals(other.getGasChannelType()))
            && (this.getTradeStatus() == null ? other.getTradeStatus() == null : this.getTradeStatus().equals(other.getTradeStatus()))
            && (this.getShowStatus() == null ? other.getShowStatus() == null : this.getShowStatus().equals(other.getShowStatus()))
            && (this.getChannelType() == null ? other.getChannelType() == null : this.getChannelType().equals(other.getChannelType()))
            && (this.getChannelMerNo() == null ? other.getChannelMerNo() == null : this.getChannelMerNo().equals(other.getChannelMerNo()))
            && (this.getChannelMerKey() == null ? other.getChannelMerKey() == null : this.getChannelMerKey().equals(other.getChannelMerKey()))
            && (this.getLedgerAccountFlag() == null ? other.getLedgerAccountFlag() == null : this.getLedgerAccountFlag().equals(other.getLedgerAccountFlag()))
            && (this.getLedgerAccountData() == null ? other.getLedgerAccountData() == null : this.getLedgerAccountData().equals(other.getLedgerAccountData()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGasChannelType() == null) ? 0 : getGasChannelType().hashCode());
        result = prime * result + ((getTradeStatus() == null) ? 0 : getTradeStatus().hashCode());
        result = prime * result + ((getShowStatus() == null) ? 0 : getShowStatus().hashCode());
        result = prime * result + ((getChannelType() == null) ? 0 : getChannelType().hashCode());
        result = prime * result + ((getChannelMerNo() == null) ? 0 : getChannelMerNo().hashCode());
        result = prime * result + ((getChannelMerKey() == null) ? 0 : getChannelMerKey().hashCode());
        result = prime * result + ((getLedgerAccountFlag() == null) ? 0 : getLedgerAccountFlag().hashCode());
        result = prime * result + ((getLedgerAccountData() == null) ? 0 : getLedgerAccountData().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", gasChannelType=").append(gasChannelType);
        sb.append(", tradeStatus=").append(tradeStatus);
        sb.append(", showStatus=").append(showStatus);
        sb.append(", channelType=").append(channelType);
        sb.append(", channelMerNo=").append(channelMerNo);
        sb.append(", channelMerKey=").append(channelMerKey);
        sb.append(", ledgerAccountFlag=").append(ledgerAccountFlag);
        sb.append(", ledgerAccountData=").append(ledgerAccountData);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", status=").append(status);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}